Package ghidra.app.plugin.debug

# Class DomainEventDisplayPlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.app.plugin.debug.DomainEventDisplayPlugin

All Implemented Interfaces:
  `DomainObjectListener`, `PluginEventListener`, `ServiceListener`, `ExtensionPoint`, `EventListener`

public class DomainEventDisplayPlugin extends Plugin implements DomainObjectListener
Debug Plugin to show domain object change events.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainEventDisplayPlugin(PluginTool tool)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Tells a plugin that it is no longer needed.
  `void`
  `domainObjectChanged(DomainObjectChangedEvent ev)`
  This is the callback method for DomainObjectChangedEvents.
  `Font`
  `getFont()`
  Get the font for the text area; font property will show up on the plugin property sheet.
  `void`
  `processEvent(PluginEvent event)`
  Put event processing code here.
  `void`
  `setFont(Font font)`
  Set the font for the text area; font property will show up on the plugin property sheet.

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, canCloseDomainObject, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, init, internalRegisterEventConsumed, isDisposed, prepareToSave, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DomainEventDisplayPlugin

    public DomainEventDisplayPlugin(PluginTool tool)
    Constructor

- ## Method Details

  - ### processEvent

    public void processEvent(PluginEvent event)
    Put event processing code here.
    Overrides:
      `processEvent` in class `Plugin`
    Parameters:
      `event` - plugin to process

  - ### dispose

    public void dispose()
    Tells a plugin that it is no longer needed. The plugin should remove itself from anything that it is registered to and release any resources.
    Overrides:
      `dispose` in class `Plugin`

  - ### domainObjectChanged

    public void domainObjectChanged(DomainObjectChangedEvent ev)
    This is the callback method for DomainObjectChangedEvents.
    Specified by:
      `domainObjectChanged` in interface `DomainObjectListener`
    Parameters:
      `ev` - event containing the change record and type of change that was made

  - ### getFont

    public Font getFont()
    Get the font for the text area; font property will show up on the plugin property sheet.

  - ### setFont

    public void setFont(Font font)
    Set the font for the text area; font property will show up on the plugin property sheet.